Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 294401 - net-nds/openldap-2.4.19-r1 fails to compile (ldapc++)
Summary: net-nds/openldap-2.4.19-r1 fails to compile (ldapc++)
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: LDAP Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-24 12:23 UTC by Mark Nowiasz
Modified: 2009-11-29 00:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log for openldap error. (build.log,336.92 KB, text/plain)
2009-11-24 17:44 UTC, Marcus Wanner
Details
Log of hopefully fixed openldap. (fixed.log,6.02 KB, text/plain)
2009-11-28 17:56 UTC, Marcus Wanner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Nowiasz 2009-11-24 12:23:00 UTC
After trying to upgrade openldap (actually, the only way for me was to manually unmerge openldap end emerge -1 openldap), openldap fails to compile ldapc++

Reproducible: Always

Steps to Reproduce:
1. emerge -1 openldap
2.
3.

Actual Results:  
* Building contrib library: ldapc++                                            
make -j5 CC=x86_64-pc-linux-gnu-gcc CXX=x86_64-pc-linux-gnu-g++                 
make: *** No targets specified and no makefile found.  Stop.  


spectre ~ # emerge --info                                                       
Portage 2.2_rc51 (default/linux/amd64/10.0, gcc-4.4.2, glibc-2.11-r0, 2.6.31-gentoo-r6 x86_64)                                                                  
=================================================================               
System uname: Linux-2.6.31-gentoo-r6-x86_64-AMD_Phenom-tm-_9950_Quad-Core_Processor-with-gentoo-2.0.1                                                           
Timestamp of tree: Tue, 24 Nov 2009 10:45:01 +0000                              
ccache version 2.4 [enabled]                                                    
app-shells/bash:     4.0_p35                                                    
dev-java/java-config: 2.1.9-r1                                                  
dev-lang/python:     2.6.4, 3.1.1-r1                                            
dev-util/ccache:     2.4-r8                                                     
dev-util/cmake:      2.8.0                                                      
sys-apps/baselayout: 2.0.1                                                      
sys-apps/openrc:     0.5.2-r2                                                   
sys-apps/sandbox:    2.2                                                        
sys-devel/autoconf:  2.13, 2.63-r1                                              
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11                           
sys-devel/binutils:  2.20                                                       
sys-devel/gcc-config: 1.4.1                                                     
sys-devel/libtool:   2.2.6b                                                     
virtual/os-headers:  2.6.30-r1                                                  
ACCEPT_KEYWORDS="amd64 ~amd64"                                                  
ACCEPT_LICENSE="* -@EULA"                                                       
CBUILD="x86_64-pc-linux-gnu"                                                    
CFLAGS="-march=amdfam10 -O2 -pipe"                                              
CHOST="x86_64-pc-linux-gnu"                                                     
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"      
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"                                                                              
CXXFLAGS="-O2 -pipe"                                                            
DISTDIR="/usr/portage/distfiles"                                                
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"                                                                            
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://gentoo.mneisen.org/ http://de-mirror.org/distro/gentoo/ ftp://de-mirror.org/distro/gentoo/ http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ ftp://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://mirror.jamit.de/gentoo/ http://mirror.netcologne.de/gentoo/ ftp://mirror.netcologne.de/gentoo/ "            
LANG="en_EN.utf-8"                                                              
LDFLAGS="-Wl,-O1"                                                               
LINGUAS="de"                                                                    
MAKEOPTS="-j5"                                                                  
PKGDIR="/usr/portage/packages"                                                  
PORTAGE_CONFIGROOT="/"                                                          
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                  
PORTAGE_TMPDIR="/var/tmp"                                                       
PORTDIR="/usr/portage"                                                          
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"                           
USE="3dnow X a52 aac aalib acl acpi aim alsa amd64 apache2 aspell audiofile bash-completion bcmath bluetooth branding bzip2 cairo calendar cddb cdparanoia cdr cli consolekit cracklib crypt cscope css ctype cups curl cxx dbus derby djvu dri dts dv dvb dvd dvdr dvdread encode enscript exif expat fam ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gd gdbm geoip gif gimp glib glut gmp gnuplot gnutls gpg gphoto2 gpm gps graphviz gsl gtk gzip hal hddtemp htmlhandbook iconv icq icu idn imagemagick imap imlib innodb jabber java java6 javascript jbig jingle jpeg jpeg2k kde kontact kpathsea lame lash latex lcms ldap libcaca libnotify libsamplerate libwww lm_sensors lua lzo mad maildir mailwrapper matroska mhash mime mmap mmx mng modplug modules mp2 mp3 mp4 mpeg mpi mplayer msn mudflap multilib musepack musicbrainz mysql mysqli ncurses netcdf nls nntp nptl nptlonly nsplugin nvram offensive ofx ogg openal openexr opengl openmp oscar pam pcntl pcre pda pdf perl php plasma png policykit posix postgres ppds pppd python qt3 qt3support qt4 quicktime raw rdesktop readline recode reflection rss samba sasl sdl semantic-desktop session sharedext sharedmem shorten slang smp sndfile snmp soap sockets sox speex spell spl sql sse sse2 ssl startup-notification subversion suid svg sysfs syslog sysvipc szip taglib tcpd theora threads tidy tiff timidity tokenizer truetype unicode usb v4l2 vcd vdr videos vim-syntax vnc vorbis wavpack webdav webkit wlm wmf x264 xattr xface xft xine xml xorg xpm xscreensaver xsl xulrunner xv xvid xvmc yahoo yaz zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Rafał Mużyło 2009-11-24 13:09:48 UTC
Attach build.log.
Comment 2 Marcus Wanner 2009-11-24 17:44:23 UTC
Created attachment 211086 [details]
Build log for openldap error.
Comment 3 Marcus Wanner 2009-11-24 17:46:51 UTC
I synced and updated today, and got the same error. Here is a build log, which will hopefully be very similar to the OP's one.
Comment 4 Marcus Wanner 2009-11-24 18:08:28 UTC
I tried to emerge the latest stable version (net-nds/openldap-2.4.19), and it crashed with the same error...
Comment 5 Mark Nowiasz 2009-11-24 18:51:04 UTC
(In reply to comment #4)
> I tried to emerge the latest stable version (net-nds/openldap-2.4.19), and it
> crashed with the same error...

Same here. I was able to compile both version by disabling the cxx-flag (-cxx).

Comment 6 Marcus Wanner 2009-11-24 20:33:20 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > I tried to emerge the latest stable version (net-nds/openldap-2.4.19), and it
> > crashed with the same error...
> 
> Same here. I was able to compile both version by disabling the cxx-flag (-cxx).
> 

That solution works for me as well.
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-28 00:23:31 UTC
Guys, can you please test this sequence:
# emerge --unmerge openldap
# USE=-cxx emerge openldap
# USE=cxx emerge openldap

It seems the upstream configure does NOT give a non-zero exit code for the ldapc++ addon and we might need to move it a bit later in the build process.
Comment 8 Marcus Wanner 2009-11-28 01:39:49 UTC
(In reply to comment #7)
> Guys, can you please test this sequence:
> # emerge --unmerge openldap
> # USE=-cxx emerge openldap
> # USE=cxx emerge openldap
> 
> It seems the upstream configure does NOT give a non-zero exit code for the
> ldapc++ addon and we might need to move it a bit later in the build process.
> 
Works just fine here, compilation completes successfully both times.
Comment 9 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-28 01:57:23 UTC
Ok, I've just committed what should fix it in rev 1.6 of openldap-2.4.19-r1.

Please test:
# emerge --unmerge openldap
# USE=cxx emerge openldap
Comment 10 Marcus Wanner 2009-11-28 17:56:40 UTC
(In reply to comment #9)
> Ok, I've just committed what should fix it in rev 1.6 of openldap-2.4.19-r1.
> Please test:
> # emerge --unmerge openldap
> # USE=cxx emerge openldap

Worked good, I think. It said something about self-signed certs, and I have attached a log.
Comment 11 Marcus Wanner 2009-11-28 17:56:45 UTC
Created attachment 211467 [details]
Log of hopefully fixed openldap.
Comment 12 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-28 22:28:57 UTC
No errors there, just notes that since you already had ssl certs, it didn't make new ones.
Comment 13 Marcus Wanner 2009-11-29 00:43:48 UTC
(In reply to comment #12)
> No errors there, just notes that since you already had ssl certs, it didn't
> make new ones.

Thank you!